Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Advanced Go APP

Discussion in 'Phantom 3 Help' started by TomWolves, Aug 17, 2015.

  1. TomWolves

    Joined:
    Jul 14, 2014
    Messages:
    138
    Likes Received:
    9
    Hey guys, on my Go App it is saying update required, but I have all the updates current including my batteries.

    FW version 1.3.20 Go APP v2.0.0
    am I missing something here? that message just started today, as I have had the Go App installed since it's release on the DJI download webpage. Thanks for your help and suggestions.
     
  2. doctordrone

    Joined:
    Jan 20, 2015
    Messages:
    47
    Likes Received:
    7
    Location:
    Bay Area, California
    I see that too on occasion. I just ignore it. It seems to be a default message that is triggered while connecting to the copter sometimes. Just close the box and fly on!!
     
  3. TomWolves

    Joined:
    Jul 14, 2014
    Messages:
    138
    Likes Received:
    9
    Hmmm ? well ok, I did fly on, but was curious as to why. Oh heck I forgot DJI that's why!!... lol That way if I crash they can say " you should have updated".
     
    imadago likes this.
  4. III% Streve

    Joined:
    Aug 1, 2015
    Messages:
    1,756
    Likes Received:
    515
    What is it saying needs updated? Mine complains about batteries from time to time. So I finally updated them and all better
     
  5. beaverstretcher

    Joined:
    Jul 9, 2015
    Messages:
    12
    Likes Received:
    2
    My Go for android has completely $#(¥ the bed...3 days now I try to turn it on and it tells me it has stopped before it starts....HELP!